flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mario Souza <mario.so...@vizexplorer.com>
Subject Re: Using FlexMojos 7
Date Wed, 25 Feb 2015 23:19:57 GMT
Thanks Chris for your reply.

Ok... I'm able to compile some projects as libraries (swc) and anothers
projects as applications (swf) (using these libraries as depedencies as
well).. that's working.


However, for now, I'm trying to do a little bit more complex and I need
pass some arguments like BUILD::version, svnRevision, etc... and these
arguments are passed as <definesDeclaration/> under the flexmojos <plugin>
tag (with flexmojos 3.x)

For now, using the new flexmojos (7.0.1) I kept the <definesDeclaration>
but I'm getting an error during the compile-phase indicating that the
BUILD::Version was not passed as compiler argument to flex compiler.

I've tried replace by <defines> but it doesn't work.

What the new way to pass <definesDeclaration> to compiler using FM 7.0.1?

Thank you.






*Mario Souza*Front-End Developer



Level 3, 54-56 Cambridge Terrace
PO Box 19204, Wellington 6011
New Zealand

*M.* +64 021 082 71135 | *W.* www.vizexplorer.com

On 26 February 2015 at 07:24, Christofer Dutz <christofer.dutz@c-ware.de>
wrote:

> Hi,
>
> sorry for not responding any sooner. Unfortunately I can’t send emails at
> my current client.
>
> Glad you fixed the problem ☺
>
> One more thing. Third Party libs are usually compiled with one of the
> publically available Adobe FDKs. So when using these libs you might pull in
> old FDK libs. So I would recommend to use the maven dependency:tree plugin
> to see what’s pulled in and to manually exclude these libs to avoid
> problems.
>
> Chris
>
>
> Von: Mario Souza [mailto:mario.souza@vizexplorer.com]
> Gesendet: Mittwoch, 25. Februar 2015 03:41
> An: users@flex.apache.org
> Betreff: Re: Using FlexMojos 7
>
> Fixed!
>
> https://gist.github.com/mariojunior/9bec50f560efa09f301b#comment-1400422
>
> Mario Souza
> Front-End Developer
>
> [cid:image003.jpg@01CFAF35.C0D4C210]
>
> Level 3, 54-56 Cambridge Terrace
> PO Box 19204, Wellington 6011
> New Zealand
> M. +64 021 082 71135 | W. www.vizexplorer.com<http://www.vizexplorer.com/>
>
> On 25 February 2015 at 10:32, Mario Souza <mario.souza@vizexplorer.com
> <mailto:mario.souza@vizexplorer.com>> wrote:
> Hello guys!
>
> I'm trying migrate a legacy app build with Adobe Flex SDK 4.5 to Apache
> Flex SDK 4.14.
> I've made some local test and everything is working properly, no issues
> with backward compatibilities.
>
> But, for now, I need migrate the building process, made by a FlexMojos
> version 3, to use the latest FlexMojos 7.
>
> I'm following the steps about the Mavenizer instructions (to generate the
> FDK, it's working well:
> https://cwiki.apache.org/confluence/display/FLEX/Building+Flex+applications+with+Maven),
> I made the changes on my pom.xml into a single library project (to generate
> a swc), this project is very simple - just requires a flexlib dependency
> and the flex framework, obviously - and I tried run the maven clean install
> and I'm getting a simple error:
>
> ...RibbonMediumButtonSkin.mxml:[-1,-1] Unable to locate specified base
> class 'spark.skins.SparkSkin' for component class
> 'net.bis2.components.ribbon.skins.RibbonMediumButtonSkin'.
>
> It seems that the basic class (spar.skin.SparkSkin) is not linked to
> project, however this class is part of the framework and my main dependency
> (org.apache.flex.framework.framework.4.14.0.20150123) was declared.
>
> I think that I'm missing a little thing basic on my pom.
>
> My pom.xml on:
> https://gist.github.com/mariojunior/9bec50f560efa09f301b
>
>
> Thanks.
>
> @mariojunior
>
>
>

Mime
  • Unnamed multipart/related (inline, None, 0 bytes)
View raw message